Package org.eclipse.microprofile.fault.tolerance.tck.config

# Class BulkheadConfigBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.BulkheadConfigBean

@ApplicationScoped public class BulkheadConfigBean extends Object
A suite of test methods to test the parameters of bulkhead

## Constructor Summary

Constructors
Constructor
Description
`BulkheadConfigBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`serviceValue(Barrier barrier)`
`Future<Void>`
`serviceWaitingTaskQueue(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadConfigBean

public BulkheadConfigBean()

## Method Details

### serviceValue

@Bulkhead(5) public void serviceValue(Barrier barrier)

### serviceWaitingTaskQueue

@Bulkhead(value=1, waitingTaskQueue=5) @Asynchronous public Future<Void> serviceWaitingTaskQueue(Barrier barrier)